summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-05-26 20:35:03 +0000
committer Eric Hameleers <alien@slackware.com>2020-05-26 23:59:47 +0200
commit14044bb001eebd8bfa71ddaf9a396c827fd6d821 (patch)
tree0aa79dee0be4c74f0f718ee11d69611b8c0b5d00 /source/l
parentbda2fc6d375a747fb75693d0ea500792e5974779 (diff)
downloadcurrent-14044bb001eebd8bfa71ddaf9a396c827fd6d821.tar.gz
current-14044bb001eebd8bfa71ddaf9a396c827fd6d821.tar.xz
Tue May 26 20:35:03 UTC 202020200526203503
ap/mpg123-1.26.0-x86_64-1.txz: Upgraded. ap/sqlite-3.32.1-x86_64-1.txz: Upgraded. l/keybinder-0.3.1-x86_64-2.txz: Removed. l/keybinder3-3.0_0.3.2-x86_64-1.txz: Added. n/krb5-1.18.2-x86_64-1.txz: Upgraded. n/mutt-1.14.2-x86_64-1.txz: Upgraded. xap/gnuplot-5.2.8-x86_64-2.txz: Rebuilt. Rebuilt with Qt5 (uses anti-aliasing to improve the plot output). extra/aspell-word-lists/aspell-pt-0.50_2-x86_64-5.txz: Removed. extra/aspell-word-lists/aspell-pt_PT-20190329_0-x86_64-1.txz: Upgraded. Thanks to sairum for the link to a better word list. extra/aspell-word-lists/aspell-pt_PT-preao-20190329_0-x86_64-1.txz: Added. Thanks to sairum for the link to a better word list. extra/pure-alsa-system/mpg123-1.26.0-x86_64-1_alsa.txz: Upgraded.
Diffstat (limited to 'source/l')
-rw-r--r--source/l/keybinder/slack-desc19
-rwxr-xr-xsource/l/keybinder3/keybinder3.SlackBuild (renamed from source/l/keybinder/keybinder.SlackBuild)68
-rw-r--r--source/l/keybinder3/keybinder3.url1
-rw-r--r--source/l/keybinder3/slack-desc19
4 files changed, 34 insertions, 73 deletions
diff --git a/source/l/keybinder/slack-desc b/source/l/keybinder/slack-desc
deleted file mode 100644
index 8b46b8b10..000000000
--- a/source/l/keybinder/slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':' except on otherwise blank lines.
-
- |-----handy-ruler------------------------------------------------------|
-keybinder: keybinder (keyboard shortcut library)
-keybinder:
-keybinder: keybinder is a library for registering global keyboard shortcuts.
-keybinder: Keybinder works with GTK-based applications using the X Window System.
-keybinder:
-keybinder: Homepage: http://kaizer.se/wiki/keybinder/
-keybinder:
-keybinder:
-keybinder:
-keybinder:
-keybinder:
diff --git a/source/l/keybinder/keybinder.SlackBuild b/source/l/keybinder3/keybinder3.SlackBuild
index 56388f0a3..cb33021f6 100755
--- a/source/l/keybinder/keybinder.SlackBuild
+++ b/source/l/keybinder3/keybinder3.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for keybinder
# Copyright 2011 Robby Workman, Northport, Alabama, USA
-# Copyright 2012, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2012, 2018, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,9 +25,10 @@
cd $(dirname $0) ; CWD=$(pwd)
-PKGNAM=keybinder
-VERSION=0.3.1
-BUILD=${BUILD:-2}
+PKGNAM=keybinder3
+SRCNAM=keybinder
+VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1,2 -d - | rev)}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -41,7 +42,7 @@ fi
# the name of the created package would be, and then exit. This information
# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
- echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ echo "$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz"
exit 0
fi
@@ -67,11 +68,10 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG
-# First build gtk2 version
cd $TMP
-rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
-cd $PKGNAM-$VERSION || exit 1
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -86,62 +86,22 @@ CXXFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --docdir=/usr/doc/$SRCNAM-$VERSION \
--disable-static \
- --disable-python \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$SRCNAM-$VERSION
cp -a \
AUTHORS COPYING* INSTALL NEWS README* examples \
- $PKG/usr/doc/$PKGNAM-$VERSION
+ $PKG/usr/doc/$SRCNAM-$VERSION
# If there's a ChangeLog, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
if [ -r ChangeLog ]; then
- DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
- cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
- touch -r ChangeLog $DOCSDIR/ChangeLog
-fi
-
-# Now build gtk3 version:
-cd $TMP
-rm -rf $PKGNAM-3.0-$VERSION
-tar xvf $CWD/$PKGNAM-3.0-$VERSION.tar.xz || exit 1
-cd $PKGNAM-3.0-$VERSION || exit 1
-chown -R root:root .
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \+ -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \+
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --disable-static \
- --build=$ARCH-slackware-linux || exit 1
-
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-mkdir -p $PKG/usr/doc/$PKGNAM-3.0-$VERSION
-cp -a \
- AUTHORS COPYING* INSTALL NEWS README* examples \
- $PKG/usr/doc/$PKGNAM-3.0-$VERSION
-
-# If there's a ChangeLog, installing at least part of the recent history
-# is useful, but don't let it get totally out of control:
-if [ -r ChangeLog ]; then
- DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-3.0-$VERSION)
+ DOCSDIR=$(echo $PKG/usr/doc/${SRCNAM}-$VERSION)
cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
touch -r ChangeLog $DOCSDIR/ChangeLog
fi
@@ -156,4 +116,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz
diff --git a/source/l/keybinder3/keybinder3.url b/source/l/keybinder3/keybinder3.url
new file mode 100644
index 000000000..6b2bc1986
--- /dev/null
+++ b/source/l/keybinder3/keybinder3.url
@@ -0,0 +1 @@
+https://github.com/engla/keybinder
diff --git a/source/l/keybinder3/slack-desc b/source/l/keybinder3/slack-desc
new file mode 100644
index 000000000..2315852c2
--- /dev/null
+++ b/source/l/keybinder3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+keybinder3: keybinder3 (keyboard shortcut library for GTK+ v3)
+keybinder3:
+keybinder3: keybinder is a library for registering global keyboard shortcuts.
+keybinder3: Keybinder works with GTK-based applications using the X Window System.
+keybinder3:
+keybinder3: Homepage: https://github.com/engla/keybinder
+keybinder3:
+keybinder3:
+keybinder3:
+keybinder3:
+keybinder3: